Bug 3525 - Crash bug when samba4 accessed by AD U&C 2003sp1 (but not gold)
Crash bug when samba4 accessed by AD U&C 2003sp1 (but not gold)
Status: RESOLVED FIXED
Product: Samba 4.0
Classification: Unclassified
Component: Other
unspecified
Other Windows XP
: P3 normal
: ---
Assigned To: Andrew Bartlett
Andrew Bartlett
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-19 02:56 UTC by Julien Goodwin
Modified: 2006-02-22 08:07 UTC (History)
0 users

See Also:


Attachments
Relevent chunk of samba log (14.86 KB, text/plain)
2006-02-19 02:57 UTC, Julien Goodwin
no flags Details
TCPdump of crash process (6.15 KB, application/octet-stream)
2006-02-19 02:57 UTC, Julien Goodwin
no flags Details
TCPdump of crach proccess - updated - see packet #25, last packet before abort() (7.47 KB, application/octet-stream)
2006-02-19 07:54 UTC, Julien Goodwin
no flags Details
A valgrind log (33.37 KB, text/plain)
2006-02-19 08:30 UTC, Julien Goodwin
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Julien Goodwin 2006-02-19 02:56:23 UTC
Noticed that after I upgrade to the sp1 versions of the 2003 admin tools samba started faulting when I opened the active directory users & computers tool.

The relevent part of the samba log is attached (sorry about the backtrace, no idea what I did to cause the binaries to be stripped, happy to rebuild) as is a tcpdump.
Comment 1 Julien Goodwin 2006-02-19 02:57:06 UTC
Created attachment 1742 [details]
Relevent chunk of samba log
Comment 2 Julien Goodwin 2006-02-19 02:57:38 UTC
Created attachment 1743 [details]
TCPdump of crash process
Comment 3 Andrew Bartlett 2006-02-19 06:20:46 UTC
Any chance you can reproduce under GDB or valgrind?

The 'stripped' look is as much a deficiency in glibc's backtrace code than anything else.  Try -M single to make it run well under GDB or V.
Comment 4 Julien Goodwin 2006-02-19 07:53:01 UTC
(In reply to comment #3)
> Any chance you can reproduce under GDB or valgrind?
Yep, done
#include <big-rant.h>

Even rebuilt with -ggdb to try to get the most out of it.

> The 'stripped' look is as much a deficiency in glibc's backtrace code than
> anything else.  Try -M single to make it run well under GDB or V.
Using that as well.

Program received signal SIGABRT, Aborted.
0xffffe410 in __kernel_vsyscall ()
(gdb) bt
#0  0xffffe410 in __kernel_vsyscall ()
#1  0x40088885 in raise () from /lib/tls/i686/cmov/libc.so.6
#2  0x4008a002 in abort () from /lib/tls/i686/cmov/libc.so.6
#3  0x080abddf in talloc_chunk_from_ptr (ptr=0x869aab8) at lib/talloc/talloc.c:120
#4  0x080acb42 in talloc_steal (new_ctx=0x869eb98, ptr=0x869aab8) at lib/talloc/talloc.c:672
#5  0x082c7bf2 in ldapsrv_SearchRequest (call=0x86ba8e8) at ldap_server/ldap_backend.c:261
#6  0x082c9576 in ldapsrv_do_call (call=0x86ba8e8) at ldap_server/ldap_backend.c:730
#7  0x082c5d53 in ldapsrv_process_message (conn=0x86ce068, msg=0x869ad78) at ldap_server/ldap_server.c:85
#8  0x082c6174 in ldapsrv_decode_wrapped (conn=0x86ce068, blob={data = 0x0, length = 0}) at ldap_server/ldap_server.c:199
#9  0x082c6245 in ldapsrv_decode (private=0x86ce068, blob={data = 0x869d5c0 "O
Comment 5 Julien Goodwin 2006-02-19 07:54:00 UTC
Created attachment 1744 [details]
TCPdump of crach proccess - updated - see packet #25, last packet before abort()
Comment 6 Julien Goodwin 2006-02-19 08:30:14 UTC
Created attachment 1745 [details]
A valgrind log

Decided this is irritating me enough to get a valgrind log, this seems much more useful then the gdb backtrace (at first glance).
Comment 7 Andrew Bartlett 2006-02-21 18:27:15 UTC
I think this should be fixed in -r 13606.
Comment 8 Julien Goodwin 2006-02-21 21:08:10 UTC
Seems to fix the crash, but now there's a different error:
"The Local Security Authotity could not be contacted"
Comment 9 Julien Goodwin 2006-02-22 08:07:14 UTC
After a fresh rebuild can confirm this is fixed.